package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.CategoriaRuta;

public class RenderConfiguracionCategoriaRuta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
    	CategoriaRuta categoria = (CategoriaRuta) o;
        if(categoria.getActivo()){
	        Listcell lc = new Listcell(categoria.getRuta() == null ? "" : categoria.getRuta().getRutaId().toString());
	        lc.setParent(lstm);
	        
	        lc = new Listcell(categoria.getRuta() == null ? "" : categoria.getRuta().getDescruta());
	        lc.setParent(lstm);
	
	
	        lstm.setAttribute("data", categoria);
        }
    }
}
